### Struct

# WPEPlatform DRMDevice

#### Description [src]

    struct WPEDRMDevice {
      /* No available fields */
    }

Boxed type representing a DRM device.

#### Constructors

###### wpe_drm_device_new

Create a new `WPEDRMDevice` for the given `primary_node` and `render_node`.

#### Instance methods

###### wpe_drm_device_get_primary_node

Get the filename of primary node of `device`.

###### wpe_drm_device_get_render_node

Get the filename of render node of `device`.

###### wpe_drm_device_ref

Atomically acquires a reference on the given `device`.

###### wpe_drm_device_unref

Atomically releases a reference on the given `device`.